@font-face {
  font-family: "Montserrat";
  src: local("Montserrat"), url("./Montserrat-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat";
  src: local("Montserrat"), url("./Montserrat-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

/* Base */
html {
  scroll-behavior: smooth;
}

body {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  background-color: #f1f1f1;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
}

/* Header */

.overphone {
  margin-top: 0px;
  /* height: 80px; */
  background: transparent;
  z-index: 9;
}

.container-ourphone {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 0px;
}

.ourphone-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.ourphone-img {
  width: 52px;
  height: 52px;
  margin-bottom: 10px;
  margin-top: 10px;
}

.ourphone-title {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 24px;
  font-weight: 200;
  text-align: center;
  color: #f1f1f1;
}

.nummer-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  column-gap: 10px;

  padding-left: 10px;
  padding-right: 10px;

  background-color: #3b3a63;

  border-radius: 8px;
  border: 1px solid #f1f1f1;
  color: #f1f1f1;
  line-height: 1;

  transition: all 0.2s ease-in;
}

.nummer-row:hover {
  background: #ef7f04;
}

.nummer-img {
  height: 24px;
}

.header-title {
  margin-bottom: 10px;
  font-weight: 700;
  font-size: 30px;
  color: #ef7f04;
}

.header {
  padding-bottom: 80px;
  background: linear-gradient(180deg, #5c5cf7, #2f2f51, #1a1a33);
  /* background-color: #5d5dc9; */
}

/* Services */

.services-title {
  margin-top: 30px;
  margin-bottom: 20px;
  font-weight: 600;
  font-size: 30px;
  color: #3b3a63;
  text-align: center;
}

.container-services {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
}

/* Window */

.window-services {
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 100px;
  margin-bottom: 20px;
  padding-right: 10px;
}

.window-services:hover {
  background: linear-gradient(to left, #cac8ff, #f1f1f1);
}

.window-title {
  font-size: 24px;
  color: #3b3a63;
  margin-bottom: 20px;
}

.window-desc {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  flex-direction: row;
  gap: 20px;
  align-items: center;
}

.window-desc:hover {
  background: linear-gradient(to left, #cac8ff, #f1f1f1);
}

.btn-desc-measure {
  height: 48px;
  padding-top: 15px;
  padding-left: 25px;
  padding-right: 25px;
  padding-bottom: 15px;

  background-color: #ef7f04;
  border: 1px solid #ef7f04;
  border-radius: 8px;



  color: #f1f1f1;
  line-height: 1;

  transition: all 0.2s ease-in;
}

.btn-desc-measure:hover {
  background-color: #5d5dc9;
}

.window-items {
  display: flex;
  flex-direction: column;
  row-gap: 20px;
  margin-bottom: 20px;
  padding-bottom: 10px;

}

.window-item {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.window-item-icon-text {
  display: flex;
  flex-direction: column;
}

.window-item-icon-title {
  font-size: 20px;
  color: #3b3a63;
  margin-top: 10px;
}

/* Roulette */

.roulette {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  column-gap: 40px;
  justify-content: center;
  align-items: center;
  margin-bottom: 10px;
}

.roulette-img:hover {
  animation: shake 0.5s;
  animation-iteration-count: infinite;
}

@keyframes shake {
  0% {
    transform: translate(1px, 1px) rotate(0deg);
  }

  10% {
    transform: translate(-1px, -2px) rotate(-1deg);
  }

  20% {
    transform: translate(-3px, 0px) rotate(1deg);
  }

  30% {
    transform: translate(3px, 2px) rotate(0deg);
  }

  40% {
    transform: translate(1px, -1px) rotate(1deg);
  }

  50% {
    transform: translate(-1px, 2px) rotate(-1deg);
  }

  60% {
    transform: translate(-3px, 1px) rotate(0deg);
  }

  70% {
    transform: translate(3px, 1px) rotate(-1deg);
  }

  80% {
    transform: translate(-1px, -1px) rotate(1deg);
  }

  90% {
    transform: translate(1px, 2px) rotate(0deg);
  }

  100% {
    transform: translate(1px, -2px) rotate(-1deg);
  }
}

.roulette-title {
  font-size: 30px;
  color: #3b3a63;
}

/* Balcony */

.balcony-services {
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 100px;
  margin-bottom: 20px;
}

.balcony-services:hover {
  background: linear-gradient(to left, #cac8ff, #f1f1f1);
}

.balcony-title {
  font-size: 24px;
  color: #3b3a63;
  margin-bottom: 20px;
}

.balcony-desc {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  flex-direction: row;
  gap: 20px;
  align-items: center;
}

.balcony-desc:hover {
  background: linear-gradient(to left, #cac8ff, #f1f1f1);
}

.balcony-items {
  display: flex;
  flex-direction: column;
  row-gap: 20px;
  margin-bottom: 20px;
  padding-bottom: 10px;

}

.balcony-item {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.balcony-item-icon-text {
  display: flex;
  flex-direction: column;
}

.balcony-item-icon-title {
  font-size: 20px;
  color: #3b3a63;
  margin-top: 10px;
}

/* About us */

.about-us {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 10px;
  margin-bottom: 10px;
}

.about-us-title {
  margin-top: 30px;
  margin-bottom: 20px;
  font-weight: 600;
  font-size: 30px;
  color: #3b3a63;
  text-align: center;
}

.about-us-items {
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 30px;
  padding-left: 10px;
}

.about-us-items:hover {
  background: linear-gradient(to left, #f1f1f1, #cac8ff);
}

.about-us-p {
  font-size: 16px;
  margin-top: 10px;
}

/* About us icons */

.aboutus-icons {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  margin-top: 30px;
  margin-bottom: 30px;
  justify-content: space-between;
}

.aboutus-title {
  font-size: 20px;
  color: #3b3a63;
}

.aboutus-icon {
  display: flex;
  flex-direction: row;
  column-gap: 20px;
  align-items: flex-start;
  margin-top: 10px;
  margin-bottom: 10px;
  margin-left: 30px;
}

.aboutus-icon:hover {
  background: linear-gradient(to right, #f1f1f1, #cac8ff);
}

/* Production */

.production-title {
  margin-top: 30px;
  margin-bottom: 20px;
  font-weight: 600;
  font-size: 30px;
  color: #3b3a63;
  text-align: center;
}

.container-production {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 100px;
  margin-bottom: 20px;
}

.container-production:hover {
  background: linear-gradient(to left, #cac8ff, #f1f1f1);
}

.desc-production-title {
  font-size: 36px;
  font-weight: 600;
  color: #ef7f04;
  margin-bottom: 20px;
}

.desc-production {
  display: flex;
  flex-direction: column;
  row-gap: 30px;
}

.desc-production-items {
  display: flex;
  flex-direction: column;
  row-gap: 10px;
}

.desc-production-item {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  font-size: 18px;
}

.desc-production-item-row {
  font-size: 20px;
  color: #3b3a63;
}

.howwork-title {
  margin-top: 30px;
  margin-bottom: 20px;
  font-weight: 600;
  font-size: 30px;
  color: #3b3a63;
  text-align: center;
}

.howwork-icons {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  margin-top: 30px;
  margin-bottom: 30px;
  justify-content: space-between;
}

.howwork-title-item {
  font-size: 20px;
  color: #3b3a63;
}

.howwork-icon {
  display: flex;
  flex-direction: row;
  column-gap: 20px;
  align-items: flex-start;
  margin-top: 10px;
  margin-bottom: 10px;
  margin-left: 30px;
}

.howwork-icon:hover {
  background: linear-gradient(to right, #f1f1f1, #cac8ff);
}

/* Akeconsa */

.akeconsa-udaneles {
  position: fixed;
  bottom: 28px;
  right: 28px;
  z-index: 9;
}

.akeconsa-udaneles a {
  height: 42px;
  width: 42px;
  text-align: center;
  background: #ef7f04;
  display: block;
  border-radius: 2px;
}

.akeconsa-udaneles a span {
  color: #f7f0f0;
  font-size: 30px;
  line-height: 42px;
  cursor: pointer;
}

.akeconsa-udaneles a span:hover {
  color: #1d1dff;
}

/* Inner Page */

.inner-page {
  padding: 20px 0;
}

.inner-page-link {
  margin: 0 auto;
  max-width: 770px;
  padding: 30px;

  display: flex;
  column-gap: 10px;
  align-items: center;
  justify-content: center;

  background-color: #f1f1f1;
  text-align: center;
  color: #000;

  transition: all 0.2s ease-in;
}

.inner-page-link:hover {
  background-color: #ef7f04;
}

/* Contacts */

.contacts {
  padding: 80px 0;
  background: linear-gradient(180deg, #5d5dc9, #2f2f51, #1a1a33);
  /* #2f2f51; */
  color: #f1f1f1;
}

.contacts-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  column-gap: 60px;
}

.contacts-img {
  width: 52px;
  height: 52px;
  margin-bottom: 65px;
}

.contacts-title {
  margin-bottom: 65px;
  font-size: 52px;
  font-weight: 700;
  text-align: center;
}

.messangers {
  display: flex;
  column-gap: 30px;
  flex-wrap: wrap;
  row-gap: 30px;
}

.messanger {
  flex-grow: 1;

  display: flex;
  column-gap: 15px;
  align-items: center;

  padding: 46px 20px;
  border-radius: 20px;
  border: 1px solid #ef7f04;

  color: #fff;
  font-size: 20px;

  transition: background-color 0.2s ease-in;
}

.messanger:hover {
  background-color: #ef7f04;
}

/* Partners */

.partners {
  padding: 80px 0;
  background: linear-gradient(180deg, #5d5dc9, #2f2f51, #1a1a33);
  color: #f1f1f1;
}

.container-partners {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
}

.partners-title {
  font-size: 24px;
  text-align: center;
  margin-bottom: 60px;
}

.partners-column {
  display: flex;
  flex-direction: column;
  row-gap: 60px;
}

.partners-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  column-gap: 60px;
  align-items: center;
}

.partner {
  text-align: center;
}

.button {
  margin-bottom: 30px;
  font-size: 20px;
  text-align: center;

  align-items: center;

  padding: 20px;

  border: 1px solid #ef7f04;
  border-radius: 8px;

  color: #f1f1f1;
  line-height: 1;

  transition: all 0.2s ease-in;
}

.button:hover {
  background: #ef7f04;
}

/* Trail */

line {
  stroke: #ef7f04;
  /* Основной цвет линии */
  stroke-width: 2;
  /* Тонкая линия */
  stroke-linecap: round;
  /* Скругленные окончания */
  animation: fade-out 2s linear forwards;
  /* Плавное исчезновение за 2 секунды */
}

@keyframes fade-out {
  to {
    stroke-opacity: 0;
    /* Полностью прозрачная линия */
  }
}

/* Footer */

.footer {
  padding: 30px 0;
  background-color: #1e1e1e;

  color: #f1f1f1;
}

.footer a {
  color: #69beff;
}

.footer a:hover {
  color: #f1f1f1;
}

.footer-inner {
  font-size: 14px;
  text-align: center;
}

.footer-inner p+p {
  margin-top: 15px;
}